Inhalte

# Funktion CreateUnoDialog

Erzeugt ein Basic-Uno-Objekt, das ein Uno-Dialog-Control zur Laufzeit des Basics repräsentiert.

Dialoge sind in den Dialog-Libraries beschrieben. Damit ein Dialog angezeigt werden kann, muss daraus ein "lebender" Dialog erzeugt werden.

Siehe Beispiele.

### Syntax:

CreateUnoDialog( oDlgDesc )

### Rückgabetyp:

Object

### Parameter:

Name | Typ | Beschreibung
--- | --- | ---
oDlgDesc | Object | Das in einer Bibliothek gespeicherte Dialogobjekt.

### Beispiel:

      ' Beschreibung des Dialogs aus der Dialog-Library holen
      oDlgDesc = DialogLibraries.Standard.Dialog1
      ' "Lebenden" Dialog erzeugen
      oDlgControl = CreateUnoDialog( oDlgDesc )
      ' "Lebenden" Dialog anzeigen
      oDlgControl.execute

Verwandte Themen

UNO-Objekte, -Funktionen und -Dienste

Bitte unterstützen Sie uns!